#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, q;cin>>n>>q;
    vector<int>a(n);
    for(int i=0;i<n;i++)cin>>a[i];
    sort(a.begin(), a.end());
    int b; cin>>b;
    int med;
    if(n%2==0)
        med = a[a.size()/2+1];
    else 
        med = a[a.size()/2];
    for(int i = 0; i <= n; i++){
        med = a[a.size()/2];
        if(b == med){
            cout << i;
            break;}
        a.push_back(b);}
    
    return 0;
}